# This file created by conda-build 24.7.1
# ------------------------------------------------

package:
  name: openms
  version: 3.3.0
source:
  md5: 7a5839e307801a7c9a02258f9da61357
  url: https://github.com/OpenMS/OpenMS/releases/download/release%2F3.3.0/OpenMS-3.3.tar.gz
build:
  noarch: false
  noarch_python: false
  number: '8'
  script: package_openms-tools.sh
  string: h5941a0c_8
requirements:
  build:
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.34.4 hf13058a_0
    - ca-certificates 2024.12.14 h8857fd0_0
    - cmake 3.31.4 h477996e_0
    - krb5 1.21.3 h37d8d59_0
    - libcurl 8.11.1 h5dec5d8_0
    - libcxx 19.1.7 hf95d169_0
    - libedit 3.1.20240808 pl5321ha958ccf_0
    - libev 4.33 h10d778d_2
    - libexpat 2.6.4 h240833e_0
    - liblzma 5.6.3 hd471939_1
    - libnghttp2 1.64.0 hc7306c3_0
    - libssh2 1.11.1 h3dc7d44_0
    - libuv 1.50.0 h4cb831e_0
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_2
    - openssl 3.4.0 hc426f3f_1
    - rhash 1.4.5 ha44c9a9_0
    - zstd 1.5.6 h915ae27_0
  host:
    - boost-cpp 1.85.0 hfcd56d9_4
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.34.4 hf13058a_0
    - ca-certificates 2024.12.14 h8857fd0_0
    - coinmp 1.8.3 0
    - cyrus-sasl 2.1.27 hf9bab2b_7
    - eigen 3.4.0 h1c7c39f_0
    - glib 2.82.2 h915cd9b_1
    - glib-tools 2.82.2 hf8faeaf_1
    - gst-plugins-base 1.24.7 h0ee1d58_0
    - gstreamer 1.24.7 h3271b85_0
    - hdf5 1.14.4 nompi_h1607680_105
    - icu 75.1 h120a0e1_0
    - krb5 1.21.3 h37d8d59_0
    - libaec 1.1.3 h73e2aa4_0
    - libboost 1.85.0 hcca3243_4
    - libboost-devel 1.85.0 h2b186f8_4
    - libboost-headers 1.85.0 h694c41f_4
    - libclang-cpp17 17.0.6 default_hb173f14_7
    - libclang13 19.1.7 default_hf2b7afa_0
    - libcurl 8.11.1 h5dec5d8_0
    - libcxx 19.1.7 hf95d169_0
    - libedit 3.1.20240808 pl5321ha958ccf_0
    - libev 4.33 h10d778d_2
    - libexpat 2.6.4 h240833e_0
    - libffi 3.4.2 h0d85af4_5
    - libgfortran 5.0.0 13_2_0_h97931a8_3
    - libgfortran5 13.2.0 h2873a65_3
    - libglib 2.82.2 h5c976ab_1
    - libiconv 1.17 hd75f5a5_2
    - libintl 0.22.5 hdfe23c8_3
    - libintl-devel 0.22.5 hdfe23c8_3
    - libjpeg-turbo 3.0.0 h0dc2134_1
    - libllvm17 17.0.6 hbedff68_1
    - libllvm19 19.1.7 hc29ff6c_0
    - liblzma 5.6.3 hd471939_1
    - liblzma-devel 5.6.3 hd471939_1
    - libmpdec 4.0.0 hfdf4475_0
    - libnghttp2 1.64.0 hc7306c3_0
    - libntlm 1.8 h6e16a3a_0
    - libogg 1.3.5 hfdf4475_0
    - libopenms 3.3.0 h5941a0c_8
    - libopus 1.3.1 hc929b4f_1
    - libpng 1.6.45 h3c4a55f_0
    - libpq 17.2 h639cf83_1
    - libsqlite 3.48.0 hdb6dae5_1
    - libssh2 1.11.1 h3dc7d44_0
    - libsvm 335 hac325c4_1
    - libtool 2.4.7 hf036a51_1
    - libvorbis 1.3.7 h046ec9c_0
    - libxml2 2.13.5 hebb159f_1
    - libzlib 1.3.1 hd23fc13_2
    - llvm-openmp 18.1.8 h15ab845_1
    - mysql-common 9.0.1 h4d37847_4
    - mysql-libs 9.0.1 h2381dc1_4
    - ncurses 6.5 h0622a9a_2
    - nspr 4.36 h97d8b74_0
    - nss 3.107 h81a00e3_0
    - openldap 2.6.9 hd8a590d_0
    - openssl 3.4.0 hc426f3f_1
    - packaging 24.2 pyhd8ed1ab_2
    - pcre2 10.44 h7634a1b_2
    - python 3.13.1 h2334245_105_cp313
    - python_abi 3.13 5_cp313
    - qt-main 5.15.15 h30a8c49_2
    - readline 8.2 h9e318b2_1
    - tk 8.6.13 h1abcd95_1
    - tzdata 2025a h78e105d_0
    - xerces-c 3.2.5 h197e74d_2
    - xz 5.6.3 h357f2ed_1
    - xz-gpl-tools 5.6.3 h357f2ed_1
    - xz-tools 5.6.3 hd471939_1
    - yaml-cpp 0.8.0 he965462_0
    - zlib 1.3.1 hd23fc13_2
    - zstd 1.5.6 h915ae27_0
  run:
    - boost-cpp >=1.85.0,<1.86.0a0
    - bzip2 >=1.0.8,<1.1.0a0
    - bzip2 >=1.0.8,<2.0a0
    - coinmp >=1.8.3,<1.9.0a0
    - eigen >=3.4.0,<3.5.0a0
    - hdf5 >=1.14.4,<1.14.5.0a0
    - hdf5 >=1.14.4,<1.15.0a0
    - libopenms 3.3.0 h5941a0c_8
    - libsvm >=335,<336.0a0
    - libsvm >=335,<400
    - libzlib >=1.3.1,<2.0a0
    - llvm-openmp >=18.1.8
    - llvm-openmp >=18.1.8,<18.2.0a0
    - qt-main >=5.15.15,<5.16.0a0
    - xerces-c >=3.2.5,<3.3.0a0
    - yaml-cpp >=0.8.0,<0.9.0a0
    - zlib >=1.3.1,<1.4.0a0
test:
  commands:
    - OPENMS_DATA_PATH=${PREFIX}/share/OpenMS/ ${PREFIX}/bin/OpenMSInfo
    - OPENMS_DATA_PATH=${PREFIX}/share/OpenMS/ ${PREFIX}/bin/FileMerger --help
about:
  home: https://github.com/OpenMS/OpenMS
  license: BSD
  license_file: LICENSE
  summary: OpenMS is an open-source software C++ library for LC-MS data management
    and analyses
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:openms
    - doi:10.1038/nmeth.3959
    - usegalaxy-eu:openms_fileconverter
  skip-lints:
    - build_number_needs_reset
    - missing_run_exports
